summaryrefslogtreecommitdiffhomepage
path: root/subr/pkg_patch_pre.subr
diff options
context:
space:
mode:
authorLucio Andrés Illanes Albornoz (arab, vxp) <l.illanes@gmx.de>2017-02-05 19:08:11 +0100
committerLucio Andrés Illanes Albornoz (arab, vxp) <l.illanes@gmx.de>2017-02-05 21:24:26 +0000
commit8022154108dde14f47722bd1a18a475ef2a3f95d (patch)
tree6215baa0f5338e3cfc7693f8bbdfaeef844744ad /subr/pkg_patch_pre.subr
parentc1aae3835fe7d398b3e22f915fe6d7913b17ee44 (diff)
downloadmidipix_build-8022154108dde14f47722bd1a18a475ef2a3f95d.tar.bz2
midipix_build-8022154108dde14f47722bd1a18a475ef2a3f95d.tar.xz
build.sh, {subr,vars}/*: general cleanup.
Diffstat (limited to 'subr/pkg_patch_pre.subr')
-rw-r--r--subr/pkg_patch_pre.subr7
1 files changed, 3 insertions, 4 deletions
diff --git a/subr/pkg_patch_pre.subr b/subr/pkg_patch_pre.subr
index 2671d32c..566299a2 100644
--- a/subr/pkg_patch_pre.subr
+++ b/subr/pkg_patch_pre.subr
@@ -1,9 +1,9 @@
#
-# . ./build.vars and set -o errexit -o noglob are assumed.
-# See warning at the top of build.vars.
+# set -o errexit -o noglob are assumed.
#
pkg_patch_pre() {
+ local __;
for __ in \
${MIDIPIX_BUILD_PWD}/../${PKG_SUBDIR}_pre.local.patch \
${MIDIPIX_BUILD_PWD}/../${PKG_SUBDIR}_pre.local@${BUILD_HNAME}.patch \
@@ -13,11 +13,10 @@ pkg_patch_pre() {
if [ -r "${__}" ]; then
patch -b -d ${PKG_SUBDIR} -p1 < ${__};
fi;
- done; unset __;
+ done;
if test_cmd pkg_${PKG_NAME}_patch_pre_post; then
pkg_${PKG_NAME}_patch_pre_post;
fi;
- set_build_script_done patch_pre -autoconf;
};
# vim:filetype=sh